VERSION 5.00
Begin VB.Form Form1 
   BorderStyle     =   3  'Fixed Dialog
   ClientHeight    =   2415
   ClientLeft      =   45
   ClientTop       =   45
   ClientWidth     =   2295
   ControlBox      =   0   'False
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2415
   ScaleWidth      =   2295
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdExit 
      Caption         =   "Exit"
      Height          =   495
      Left            =   240
      TabIndex        =   2
      Top             =   1680
      Width           =   1815
   End
   Begin VB.CommandButton cmdUnlockWorkstation 
      Caption         =   "Unlock Workstation"
      Height          =   495
      Left            =   240
      TabIndex        =   1
      Top             =   960
      Width           =   1815
   End
   Begin VB.CommandButton cmdLockWorkstation 
      Caption         =   "Lock Workstation"
      Height          =   495
      Left            =   240
      TabIndex        =   0
      Top             =   240
      Width           =   1815
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Declare Function SystemParametersInfo Lib "user32" Alias "SystemParametersInfoA" (ByVal uAction As Long, ByVal uParam As Long, ByRef lpvParam As Any, ByVal fuWinIni As Long) As Long
Private Const SPI_SCREENSAVERRUNNING = 97

Private m_LastLeft As Single
Private m_LastTop As Single
Private m_LastWidth As Single
Private m_LastHeight As Single

Private Declare Function SetWindowPos Lib "user32" (ByVal hwnd As Long, ByVal hWndInsertAfter As Long, ByVal X As Long, ByVal Y As Long, ByVal cx As Long, ByVal cy As Long, ByVal wFlags As Long) As Long
Private Const SWP_NOMOVE = &H2
Private Const SWP_NOSIZE = &H1
Private Const HWND_TOPMOST = -1
Private Const HWND_NOTOPMOST = -2

Private Sub cmdExit_Click()
    Unload Me
End Sub

Private Sub cmdLockWorkstation_Click()
Dim prev_value As Long
Dim wid As Long
Dim hgt As Long

    cmdLockWorkstation.Enabled = False
    cmdUnlockWorkstation.Enabled = True
    cmdExit.Enabled = False

    ' Save the current size and position.
    m_LastLeft = Left
    m_LastTop = Top
    m_LastWidth = Width
    m_LastHeight = Height

    ' Put the form on top of everything including
    ' the task bar.
    wid = Screen.Width / Screen.TwipsPerPixelX
    hgt = Screen.Height / Screen.TwipsPerPixelY
    SetWindowPos hwnd, HWND_TOPMOST, 0, 0, wid, hgt, 0

    ' Tell the system a screen saver is running.
    SystemParametersInfo SPI_SCREENSAVERRUNNING, True, prev_value, 0
End Sub
Private Sub cmdUnlockWorkstation_Click()
Dim prev_value As Long

    cmdLockWorkstation.Enabled = True
    cmdUnlockWorkstation.Enabled = False
    cmdExit.Enabled = True

    ' Restore the size and position.
    Move m_LastLeft, m_LastTop, m_LastWidth, m_LastHeight

    ' Tell the system no screen saver is running.
    SystemParametersInfo SPI_SCREENSAVERRUNNING, False, prev_value, 0
End Sub
Private Sub Form_Load()
    Move (Screen.Width - Width) / 2, (Screen.Height - Height) / 2
    cmdLockWorkstation.Enabled = True
    cmdUnlockWorkstation.Enabled = False
    cmdExit.Enabled = True
End Sub

Private Sub Form_Resize()
Const GAP = 60

Dim X As Single
Dim Y As Single

    X = (ScaleWidth - cmdLockWorkstation.Width) / 2
    Y = ScaleHeight / 2 - 1.5 * cmdLockWorkstation.Height - GAP
    cmdLockWorkstation.Move X, Y

    Y = Y + cmdLockWorkstation.Height + GAP
    cmdUnlockWorkstation.Move X, Y

    Y = Y + cmdLockWorkstation.Height + GAP
    cmdExit.Move X, Y
End Sub


Private Sub Form_Unload(Cancel As Integer)
    cmdUnlockWorkstation_Click
End Sub


